// --------------------------------------------------------------------------
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for
// license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is
// regenerated.
// --------------------------------------------------------------------------

import AzureCore
import Foundation
// swiftlint:disable superfluous_disable_command
// swiftlint:disable identifier_name
// swiftlint:disable line_length
// swiftlint:disable cyclomatic_complexity

/// Details of the message to send.
public struct SendChatMessageRequest: Codable {
    // MARK: Properties

    /// The chat message priority.
    public let priority: ChatMessagePriority?
    /// Chat message content.
    public let content: String
    /// The display name of the chat message sender. This property is used to populate sender name for push notifications.
    public let senderDisplayName: String?

    // MARK: Initializers

    /// Initialize a `SendChatMessageRequest` structure.
    /// - Parameters:
    ///   - priority: The chat message priority.
    ///   - content: Chat message content.
    ///   - senderDisplayName: The display name of the chat message sender. This property is used to populate sender name for push notifications.
    public init(
        priority: ChatMessagePriority? = nil, content: String, senderDisplayName: String? = nil
    ) {
        self.priority = priority
        self.content = content
        self.senderDisplayName = senderDisplayName
    }

    // MARK: Codable

    enum CodingKeys: String, CodingKey {
        case priority
        case content
        case senderDisplayName
    }

    /// Initialize a `SendChatMessageRequest` structure from decoder
    public init(from decoder: Decoder) throws {
        let container = try decoder.container(keyedBy: CodingKeys.self)
        self.priority = try? container.decode(ChatMessagePriority.self, forKey: .priority)
        self.content = try container.decode(String.self, forKey: .content)
        self.senderDisplayName = try? container.decode(String.self, forKey: .senderDisplayName)
    }

    /// Encode a `SendChatMessageRequest` structure
    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        if priority != nil { try? container.encode(priority, forKey: .priority) }
        try container.encode(content, forKey: .content)
        if senderDisplayName != nil { try? container.encode(senderDisplayName, forKey: .senderDisplayName) }
    }
}
