// --------------------------------------------------------------------------
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for
// license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is
// regenerated.
// --------------------------------------------------------------------------

import AzureCore
import Foundation
// swiftlint:disable superfluous_disable_command
// swiftlint:disable identifier_name
// swiftlint:disable line_length
// swiftlint:disable cyclomatic_complexity

/// Result of the send message operation.
public struct SendChatMessageResult: Codable {
    // MARK: Properties

    /// A server-generated message id.
    public let id: String?

    // MARK: Initializers

    /// Initialize a `SendChatMessageResult` structure.
    /// - Parameters:
    ///   - id: A server-generated message id.
    public init(
        id: String? = nil
    ) {
        self.id = id
    }

    // MARK: Codable

    enum CodingKeys: String, CodingKey {
        case id
    }

    /// Initialize a `SendChatMessageResult` structure from decoder
    public init(from decoder: Decoder) throws {
        let container = try decoder.container(keyedBy: CodingKeys.self)
        self.id = try? container.decode(String.self, forKey: .id)
    }

    /// Encode a `SendChatMessageResult` structure
    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        if id != nil { try? container.encode(id, forKey: .id) }
    }
}
